cmake_minimum_required(VERSION 3.9)
project(animia)
set(SRC_FILES
	# any non-platform-specific files go here
	src/animia.cc
	src/matroska.cc
	src/player.cc
	src/util.cc
)
if(LINUX)
	list(APPEND SRC_FILES
		# linux
		src/linux/fd.cc
	)
elseif(UNIX) # this won't run on Linux
	list(APPEND SRC_FILES
		# bsd
		src/bsd/fd.cc
	)
elseif(WIN32)
	list(APPEND SRC_FILES
		# win32
		src/platform/win32.cc
		src/platform/win32/fd.cc
		src/platform/win32/ui_auto.cc
		src/platform/win32/util.cc
		src/platform/win32/win.cc
	)
endif()
add_library(animia SHARED ${SRC_FILES})
set_target_properties(animia PROPERTIES
	PUBLIC_HEADER include/animia.h
	CXX_STANDARD 17
)
target_include_directories(animia PRIVATE include)
